## free42 1.4.40-hildon1

=== gtk/Makefile ===
###############################################################################
# Free42 -- an HP-42S calculator simulator
# Copyright (C) 2004-2007  Thomas Okken
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 2,
# as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
###############################################################################

CXXFLAGS := -MMD -Wall -g -fno-exceptions -fno-rtti $(shell pkg-config --cflags gtk+-2.0) -DVERSION="\"$(shell cat ../VERSION)\""

ifdef HILDON
BCD_MATH = 1
CXXFLAGS += -DHILDON -fpic $(shell pkg-config --cflags hildon-1) $(shell pkg-config --cflags hildon-fm-2)
CXXFLAGS += $(shell pkg-config --cflags dbus-1) -DDBUS_API_SUBJECT_TO_CHANGE
CXXFLAGS_skin2cc = -DHILDON
LDFLAGS = -shared
LIBS = $(shell pkg-config --libs hildon-1)
LIBS += $(shell pkg-config --libs dbus-1)
else
LDFLAGS = 
LIBS := -lXmu $(shell pkg-config --libs gtk+-2.0)
endif

SRCS = shell_main.cc shell_skin.cc skins.cc keymap.cc shell_loadimage.cc \
	shell_spool.cc core_main.cc core_commands1.cc core_commands2.cc \
	core_commands3.cc core_commands4.cc core_commands5.cc \
	core_commands6.cc core_display.cc core_globals.cc core_helpers.cc \
	core_keydown.cc core_linalg1.cc core_linalg2.cc core_math1.cc \
	core_math2.cc core_phloat.cc core_sto_rcl.cc core_tables.cc \
	core_variables.cc
OBJS = shell_main.o shell_skin.o skins.o keymap.o shell_loadimage.o \
	shell_spool.o core_main.o core_commands1.o core_commands2.o \
	core_commands3.o core_commands4.o core_commands5.o \
	core_commands6.o core_display.o core_globals.o core_helpers.o \
	core_keydown.o core_linalg1.o core_linalg2.o core_math1.o \
	core_math2.o core_phloat.o core_sto_rcl.o core_tables.o \
	core_variables.o

ifdef BCD_MATH
CXXFLAGS += -DBCD_MATH
SRCS += bcdfloat.cc bcd.cc bcdmath.cc
OBJS += bcdfloat.o bcd.o bcdmath.o
EXE = free42dec
else
EXE = free42bin
endif

ifdef HILDON
EXE = free42.launch
endif

$(EXE): $(OBJS)
	$(CXX) -o $(EXE) $(LDFLAGS) $(OBJS) $(LIBS)

$(SRCS): symlinks

.cc.o:
	$(CXX) $(CXXFLAGS) -c -o $@ $<

skin2cc: skin2cc.cc
	$(CXX) $(CXXFLAGS_skin2cc) -o skin2cc skin2cc.cc

skins.cc: symlinks skin2cc skin2cc.conf
	./skin2cc

keymap2cc: keymap2cc.cc
	$(CXX) -o keymap2cc keymap2cc.cc

keymap.cc: keymap2cc keymap.txt
	./keymap2cc

symlinks:
	ln -s ../common/free42.h
	ln -s ../common/core_commands1.cc
	ln -s ../common/core_commands1.h
	ln -s ../common/core_commands2.cc
	ln -s ../common/core_commands2.h
	ln -s ../common/core_commands3.cc
	ln -s ../common/core_commands3.h
	ln -s ../common/core_commands4.cc
	ln -s ../common/core_commands4.h
	ln -s ../common/core_commands5.cc
	ln -s ../common/core_commands5.h
	ln -s ../common/core_commands6.cc
	ln -s ../common/core_commands6.h
	ln -s ../common/core_display.cc
	ln -s ../common/core_display.h
	ln -s ../common/core_globals.cc
	ln -s ../common/core_globals.h
	ln -s ../common/core_helpers.cc
	ln -s ../common/core_helpers.h
	ln -s ../common/core_keydown.cc
	ln -s ../common/core_keydown.h
	ln -s ../common/core_linalg1.cc
	ln -s ../common/core_linalg1.h
	ln -s ../common/core_linalg2.cc
	ln -s ../common/core_linalg2.h
	ln -s ../common/core_math1.cc
	ln -s ../common/core_math1.h
	ln -s ../common/core_math2.cc
	ln -s ../common/core_math2.h
	ln -s ../common/core_main.cc
	ln -s ../common/core_main.h
	ln -s ../common/core_phloat.cc
	ln -s ../common/core_phloat.h
	ln -s ../common/core_sto_rcl.cc
	ln -s ../common/core_sto_rcl.h
	ln -s ../common/core_tables.cc
	ln -s ../common/core_tables.h
	ln -s ../common/core_variables.cc
	ln -s ../common/core_variables.h
	ln -s ../common/shell.h
	ln -s ../common/shell_loadimage.cc
	ln -s ../common/shell_loadimage.h
	ln -s ../common/shell_spool.cc
	ln -s ../common/shell_spool.h
	ln -s ../common/skin2cc.cc
	ln -s ../common/skin2cc.conf
	ln -s ../common/keymap2cc.cc
	ln -s ../common/bcd.cc
	ln -s ../common/bcd.h
	ln -s ../common/bcdfloat.cc
	ln -s ../common/bcdfloat.h
	ln -s ../common/bcdmath.cc
	ln -s ../common/bcdmath.h
	touch symlinks

clean: FORCE
	rm -f `find . -type l` \
		skin2cc skin2cc.exe skins.cc \
		keymap2cc keymap2cc.exe keymap.cc \
		*.o *.d *.i *.ii *.s symlinks core.*

cleaner: FORCE
	rm -f `find . -type l` \
		free42bin free42bin.exe free42dec free42dec.exe free42 free42.launch\
		skin2cc skin2cc.exe skins.cc \
		keymap2cc keymap2cc.exe keymap.cc \
		*.o *.d *.i *.ii *.s symlinks core.*

FORCE:

-include $(SRCS:.cc=.d)

=== motif/Makefile ===
###############################################################################
# Free42 -- an HP-42S calculator simulator
# Copyright (C) 2004-2007  Thomas Okken
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 2,
# as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
###############################################################################

VERSION = "\"$(shell cat ../VERSION)\""
CXXFLAGS = -MMD -Wall -g -I/usr/X11R6/include -fno-exceptions -fno-rtti -DVERSION=$(VERSION)
LDFLAGS = -L/usr/X11R6/lib
LIBS = -lm -lXm -lXt -lX11 -lXmu -lXpm

#CXXFLAGS = -MMD -Wall -g -I/usr/local/lesstif/include -I/usr/X11R6/include -fno-exceptions -fno-rtti -DVERSION=$(VERSION)
#LDFLAGS = -L/usr/local/lesstif/lib -L/usr/X11R6/lib
#LIBS = -lm -lXm -lXpm -lXmu

SRCS = shell_main.cc shell_skin.cc skins.cc keymap.cc shell_loadimage.cc \
	shell_spool.cc core_main.cc core_commands1.cc core_commands2.cc \
	core_commands3.cc core_commands4.cc core_commands5.cc \
	core_commands6.cc core_display.cc core_globals.cc core_helpers.cc \
	core_keydown.cc core_linalg1.cc core_linalg2.cc core_math1.cc \
	core_math2.cc core_phloat.cc core_sto_rcl.cc core_tables.cc \
	core_variables.cc
OBJS = shell_main.o shell_skin.o skins.o keymap.o shell_loadimage.o \
	shell_spool.o core_main.o core_commands1.o core_commands2.o \
	core_commands3.o core_commands4.o core_commands5.o \
	core_commands6.o core_display.o core_globals.o core_helpers.o \
	core_keydown.o core_linalg1.o core_linalg2.o core_math1.o \
	core_math2.o core_phloat.o core_sto_rcl.o core_tables.o \
	core_variables.o

ifdef BCD_MATH
CXXFLAGS += -DBCD_MATH
SRCS += bcdfloat.cc bcd.cc bcdmath.cc
OBJS += bcdfloat.o bcd.o bcdmath.o
EXE = free42dec
else
EXE = free42bin
endif

$(EXE): $(OBJS)
	$(CXX) -o $(EXE) $(LDFLAGS) $(OBJS) $(LIBS)

$(SRCS): symlinks

.cc.o:
	$(CXX) $(CXXFLAGS) -c -o $@ $<

shell_main.cc: icon.xpm

skin2cc: skin2cc.cc
	$(CXX) -o skin2cc skin2cc.cc

skins.cc: skin2cc skin2cc.conf
	./skin2cc

keymap2cc: keymap2cc.cc
	$(CXX) -o keymap2cc keymap2cc.cc

keymap.cc: keymap2cc keymap.txt
	./keymap2cc
	
symlinks:
	ln -s ../common/free42.h
	ln -s ../common/core_commands1.cc
	ln -s ../common/core_commands1.h
	ln -s ../common/core_commands2.cc
	ln -s ../common/core_commands2.h
	ln -s ../common/core_commands3.cc
	ln -s ../common/core_commands3.h
	ln -s ../common/core_commands4.cc
	ln -s ../common/core_commands4.h
	ln -s ../common/core_commands5.cc
	ln -s ../common/core_commands5.h
	ln -s ../common/core_commands6.cc
	ln -s ../common/core_commands6.h
	ln -s ../common/core_display.cc
	ln -s ../common/core_display.h
	ln -s ../common/core_globals.cc
	ln -s ../common/core_globals.h
	ln -s ../common/core_helpers.cc
	ln -s ../common/core_helpers.h
	ln -s ../common/core_keydown.cc
	ln -s ../common/core_keydown.h
	ln -s ../common/core_linalg1.cc
	ln -s ../common/core_linalg1.h
	ln -s ../common/core_linalg2.cc
	ln -s ../common/core_linalg2.h
	ln -s ../common/core_math1.cc
	ln -s ../common/core_math1.h
	ln -s ../common/core_math2.cc
	ln -s ../common/core_math2.h
	ln -s ../common/core_main.cc
	ln -s ../common/core_main.h
	ln -s ../common/core_phloat.cc
	ln -s ../common/core_phloat.h
	ln -s ../common/core_sto_rcl.cc
	ln -s ../common/core_sto_rcl.h
	ln -s ../common/core_tables.cc
	ln -s ../common/core_tables.h
	ln -s ../common/core_variables.cc
	ln -s ../common/core_variables.h
	ln -s ../common/shell.h
	ln -s ../common/shell_loadimage.cc
	ln -s ../common/shell_loadimage.h
	ln -s ../common/shell_spool.cc
	ln -s ../common/shell_spool.h
	ln -s ../common/skin2cc.cc
	ln -s ../common/skin2cc.conf
	ln -s ../common/keymap2cc.cc
	ln -s ../common/bcd.cc
	ln -s ../common/bcd.h
	ln -s ../common/bcdfloat.cc
	ln -s ../common/bcdfloat.h
	ln -s ../common/bcdmath.cc
	ln -s ../common/bcdmath.h
	touch symlinks

clean: FORCE
	rm -f `find . -type l` \
		skin2cc skin2cc.exe skins.cc \
		keymap2cc keymap2cc.exe keymap.cc \
		*.o *.d *.i *.ii *.s symlinks core.*

cleaner: FORCE
	rm -f `find . -type l` \
		free42bin free42bin.exe free42dec free42dec.exe \
		skin2cc skin2cc.exe skins.cc \
		keymap2cc keymap2cc.exe keymap.cc \
		*.o *.d *.i *.ii *.s symlinks core.*

FORCE:

-include $(SRCS:.cc=.d)

=== debian/changelog ===
free42 (1.4.40-hildon1) unstable; urgency=low

  * New upstream version 1.4.40

 -- Bob Hauck <bobh@haucks.org>  Mon, 31 Dec 2007 09:01:50 -0500

free42 (1.4.29-hildon2) unstable; urgency=low
  
  * Added DBus launcher stuff.
	
 -- Tatu Mannisto <tatu.1 at tajuma.com>  Mon, 14 May 2007 20:30:12 +0200
	

free42 (1.4.29-hildon1) unstable; urgency=low
  
  * upgrade 1.4.29 upstream.
	
 -- Tatu Mannisto <tatu.1 at tajuma.com>  Thu,  1 Feb 2007 20:30:12 +0200
	

free42 (1.4.27-hildon3) unstable; urgency=low
  
  * Some more fixes for N800 build.
	
 -- Tatu Mannisto <tatu.1 at tajuma.com>  Sat, 27 Jan 2007 17:30:20 +0200
	

free42 (1.4.27-hildon2) unstable; urgency=low
  
  * Added support for N800, dot-install file.
	
  * svn fixes
	
 -- Tatu Mannisto <tatu.1 at tajuma.com>  Mon, 22 Jan 2007 21:06:19 +0200
	

free42 (1.4.27-hildon1) unstable; urgency=low
  
  * Hildonized, steps one and two...
 
 -- Tatu Mannisto <tatu.1 at tajuma.com>  Tue, 12 Sep 2006 18:46:47 +0200

=== debian/control ===
Source: free42
Section: user/scientific
Priority: optional
Maintainer: Tatu Mannisto <tatu.1 at tajuma.com>
Build-Depends: debhelper (>= 4.0.0), libgtk2.0-dev, libosso-dev (>= 1)
Standards-Version: 3.6.0

Package: free42
Architecture: any
Depends: ${shlibs:Depends}
Description: HP-42 calculator (based on the Free42 project), for the project
 itself, please look at http://home.planet.nl/~demun000/thomas_projects/free42.
 This package just wraps it up for Maemo platform (e.g. Nokia 770 or N800) with
 realistic looking pseudo skins.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABmJLR0QAmQDMAJk0M7raAAAACXBI
 WXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH1wEWEzsMoJkZ/gAAAN5JREFUSMflVcsShDAIA6b//8vZ
 g+LYByXt6l62Mx6sYJKGgsiPloqIAMBrAKoqIlK44Dwmo2oZAAPCkClM4p2t6pi9k4qUFQZEbxsA
 qvd6PwazJ0BO0y+AUYjtggC4HgbMogpSogrYQqk8ipJcycEWWyBDRTM1vu+Gj493sbw98ZujDRXx
 3sTlvXxhox+6V/7NVW93BmZlKkKgw2RMlbkaj2vD02I4/OkDo94VeRmptLfmUEuw9FXXH0V7UWdz
 kr5HEdhK66G6NzMtdyat7Y7m1RzLElnALK488ZP/XB8QHIFUnZ9BegAAAABJRU5ErkJggg==

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
HILDON_DIR = /usr/share/applications

CFLAGS = -Wall -g
PACKAGENAME = free42

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir

configure:
#	./autogen.sh
	touch config.status

build: build-stamp

build-stamp:  config.status
	dh_testdir

	( cd gtk ; $(MAKE) -e HILDON=1 skins.cc )
	( cd gtk ; $(MAKE) -e HILDON=1 )
	strip gtk/free42.launch

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	dh_clean 

	( cd gtk ; $(MAKE) cleaner )

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	dh_install

	install -d debian/free42/usr/share/icons/hicolor/26x26/hildon
	install -d debian/free42/usr/share/icons/hicolor/40x40/hildon
	install -d debian/free42/usr/share/icons/hicolor/scaleable/hildon
	cp hildon/free42-26.png debian/free42/usr/share/icons/hicolor/26x26/hildon/free42.png
	cp hildon/free42-40.png debian/free42/usr/share/icons/hicolor/40x40/hildon/free42.png
	cp hildon/free42-64.png debian/free42/usr/share/icons/hicolor/scaleable/hildon/free42.png


# Build architecture-independent files here.
binary-indep: build install


# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## free42 1.4.40-hildon3

=== gtk/Makefile ===
--- 
+++ 
@@ -11,24 +11,40 @@
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU General Public License for more details.
 #
-# You should have received a copy of the GNU General Public License
+#f You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 ###############################################################################
 
 CXXFLAGS := -MMD -Wall -g -fno-exceptions -fno-rtti $(shell pkg-config --cflags gtk+-2.0) -DVERSION="\"$(shell cat ../VERSION)\""
 
+# Nokia N810 and N900 models, define HILDON for both
+ifdef N810
+CXXFLAGS += -DN810
+HILDON=1
+endif
+ifdef N900
+CXXFLAGS += -DN900
+HILDON=1
+endif
+
 ifdef HILDON
 BCD_MATH = 1
 CXXFLAGS += -DHILDON -fpic $(shell pkg-config --cflags hildon-1) $(shell pkg-config --cflags hildon-fm-2)
-CXXFLAGS += $(shell pkg-config --cflags dbus-1) -DDBUS_API_SUBJECT_TO_CHANGE
+CXXFLAGS += $(shell pkg-config --cflags libosso)
+CXXFLAGS += $(shell pkg-config --cflags dbus-1) -DDBUS_API_SUBJECT_TO_CHANGE -O3
 CXXFLAGS_skin2cc = -DHILDON
 LDFLAGS = -shared
 LIBS = $(shell pkg-config --libs hildon-1)
 LIBS += $(shell pkg-config --libs dbus-1)
+LIBS += $(shell pkg-config --libs libosso)
 else
 LDFLAGS = 
 LIBS := -lXmu $(shell pkg-config --libs gtk+-2.0)
+endif
+
+ifdef PAINT_KEYS
+CXXFLAGS += -DPAINT_KEYS
 endif
 
 SRCS = shell_main.cc shell_skin.cc skins.cc keymap.cc shell_loadimage.cc \

=== palmos/Makefile ===
###############################################################################
# Free42 -- an HP-42S calculator simulator
# Copyright (C) 2004-2007  Thomas Okken
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 2,
# as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
###############################################################################

CFLAGS = -MMD -Wall -g -DPALMOS
#CFLAGS = -MMD -Wall -g -DPALMOS -save-temps
CXXFLAGS = $(CFLAGS) -fno-exceptions -fno-rtti
LDFLAGS = -g

SRCS = shell1.cc shell2.cc shell_spool.cc myglue.cc filesys.cc memmgr.c \
	core_main.cc core_commands1.cc core_commands2.cc core_commands3.cc \
	core_commands4.cc core_commands5.cc core_commands6.cc core_display.cc \
	core_globals.cc core_helpers.cc core_keydown.cc core_linalg1.cc \
	core_linalg2.cc core_math1.cc core_math2.cc core_phloat.cc \
	core_sto_rcl.cc core_tables.cc core_variables.cc
OBJS = shell1.o shell2.o shell_spool.o myglue.o filesys.o memmgr.o \
	core_main.o core_commands1.o core_commands2.o core_commands3.o \
	core_commands4.o core_commands5.o core_commands6.o core_display.o \
	core_globals.o core_helpers.o core_keydown.o core_linalg1.o \
	core_linalg2.o core_math1.o core_math2.o core_phloat.o \
	core_sto_rcl.o core_tables.o core_variables.o

ifdef BCD_MATH
CXXFLAGS += -DBCD_MATH
SRCS += bcdfloat.cc bcd.cc bcdmath.cc
OBJS += bcdfloat.o bcd.o bcdmath.o
SHELL_DEF = shell_dec.def
TARGET = free42dec_68k.prc
else
OBJS += MathLib.o
SHELL_DEF = shell_bin.def
TARGET = free42bin_68k.prc
endif

$(TARGET): shell shell.ro Original.prc
	build-prc -o $(TARGET) $(SHELL_DEF) shell shell.ro Original.prc

$(SRCS): symlinks

symlinks:
	ln -s ../common/free42.h
	ln -s ../common/core_commands1.cc
	ln -s ../common/core_commands1.h
	ln -s ../common/core_commands2.cc
	ln -s ../common/core_commands2.h
	ln -s ../common/core_commands3.cc
	ln -s ../common/core_commands3.h
	ln -s ../common/core_commands4.cc
	ln -s ../common/core_commands4.h
	ln -s ../common/core_commands5.cc
	ln -s ../common/core_commands5.h
	ln -s ../common/core_commands6.cc
	ln -s ../common/core_commands6.h
	ln -s ../common/core_display.cc
	ln -s ../common/core_display.h
	ln -s ../common/core_globals.cc
	ln -s ../common/core_globals.h
	ln -s ../common/core_helpers.cc
	ln -s ../common/core_helpers.h
	ln -s ../common/core_keydown.cc
	ln -s ../common/core_keydown.h
	ln -s ../common/core_math1.cc
	ln -s ../common/core_math1.h
	ln -s ../common/core_math2.cc
	ln -s ../common/core_math2.h
	ln -s ../common/core_main.cc
	ln -s ../common/core_main.h
	ln -s ../common/core_linalg1.cc
	ln -s ../common/core_linalg1.h
	ln -s ../common/core_linalg2.cc
	ln -s ../common/core_linalg2.h
	ln -s ../common/core_phloat.cc
	ln -s ../common/core_phloat.h
	ln -s ../common/core_sto_rcl.cc
	ln -s ../common/core_sto_rcl.h
	ln -s ../common/core_tables.cc
	ln -s ../common/core_tables.h
	ln -s ../common/core_variables.cc
	ln -s ../common/core_variables.h
	ln -s ../common/shell.h
	ln -s ../common/shell_spool.cc
	ln -s ../common/shell_spool.h
	ln -s ../common/bcd.cc
	ln -s ../common/bcd.h
	ln -s ../common/bcdfloat.cc
	ln -s ../common/bcdfloat.h
	ln -s ../common/bcdmath.cc
	ln -s ../common/bcdmath.h
	touch symlinks

shell-sections.s shell-sections.ld: $(SHELL_DEF)
	m68k-palmos-multigen -b shell-sections $(SHELL_DEF)

.c.o:
	m68k-palmos-gcc $(CFLAGS) -c -o $@ $<

.cc.o:
	m68k-palmos-g++ $(CXXFLAGS) -c -o $@ $<

shell: $(OBJS) shell-sections.s shell-sections.ld
	m68k-palmos-g++ $(LDFLAGS) -o shell $(OBJS) \
		-lnoexcept -lPalmOSGlue \
		shell-sections.s shell-sections.ld
	
shell.rcp: shell.rcp.in
	sed "s/%VERSION%/$(shell cat ../VERSION)/g" shell.rcp.in > shell.rcp

shell.ro: shell.rcp
	pilrc -MD -q -allowEditID -ro -o shell.ro shell.rcp

Original.prc: skin2prc
	sh make-skin ../palmskins/Original.layout \
		../palmskins/Original.gif 100 500 1 72 Original off 1

Reverse.prc: skin2prc
	sh make-skin ../palmskins/Reverse.layout \
		../palmskins/Reverse.gif 1000 2000 1 72 Reverse off 1

Standard.prc: skin2prc
	sh make-skin ../palmskins/Standard.layout \
		../palmskins/Standard.gif 1000 2000 1,4,8 72 Standard off 1

StandardHD.prc: skin2prc
	sh make-skin ../palmskins/StandardHD.layout \
		../palmskins/StandardHD.gif 1000 2000 1,4,8 144 StandardHD off 2

SemiReal42.prc: skin2prc
	sh make-skin ../palmskins/SemiReal42.layout \
		../palmskins/SemiReal42.gif 1000 2000 1,4,8 72 SemiReal42 off 1

SemiReal42HD.prc: skin2prc
	sh make-skin ../palmskins/SemiReal42HD.layout \
		../palmskins/SemiReal42HD.gif 1000 2000 1,4,8 144 SemiReal42HD off 2

SemiAuto42HD.prc: skin2prc
	sh make-skin ../palmskins/SemiAuto42HD.layout \
		../palmskins/SemiAuto42HD.gif 1000 2000 1,4,8 144 SemiAuto42HD off 2

Realism.prc: skin2prc
	sh make-skin ../palmskins/Realism.layout \
		../palmskins/Realism.gif 1000 2000 1,4,8 144 Realism off 2

Ehrling42sm.prc: skin2prc
	sh make-skin ../palmskins/Ehrling42sm.layout \
		../palmskins/Ehrling42sm.gif 1000 2000 1,4,8 144 Ehrling42sm off 2

Free42PalmOSSkins.zip: Reverse.prc Standard.prc StandardHD.prc SemiReal42.prc SemiReal42HD.prc SemiAuto42HD.prc Realism.prc Ehrling42sm.prc
	rm -f Free42PalmOSSkins.zip
	zip Free42PalmOSSkins.zip Reverse.prc Standard.prc StandardHD.prc \
		SemiReal42.prc SemiReal42HD.prc SemiAuto42HD.prc \
		Realism.prc Ehrling42sm.prc

skin2prc: skin2prc.cc skin2prc.h
	c++ -o skin2prc skin2prc.cc

clean:
	rm -f `ls *.prc | grep -v '^free42'` \
		shell shell.rcp shell.ro armcore armcore.ro *.o *.i *.ii \
		*.s *.d *.out *.grc shell.gdb `find . -type l` \
		shell-sections.s shell-sections.ld symlinks* \
		skin2prc skin2prc.exe tmp_skin.*

cleaner:
	rm -f *.prc shell shell.rcp shell.ro armcore armcore.ro *.o *.i *.ii \
		*.s *.d *.out *.grc shell.gdb `find . -type l` \
		shell-sections.s shell-sections.ld symlinks* \
		skin2prc skin2prc.exe tmp_skin.* Free42PalmOSSkins.zip

-include $(patsubst %.cc,%.d,$(patsubst %.c,%.d,$(SRCS)))
-include MathLib.d

=== debian/changelog ===
free42 (1.4.40-hildon3) unstable; urgency=low

  * Few UI changes.

 -- Tatu Mannisto <tatu.1 at tajuma.com>  Sun, 15 Oct 2009 15:51:12 +0200

free42 (1.4.40-hildon2) unstable; urgency=low

  * Ported to N900, initial take for it

 -- Tatu Mannisto <tatu.1 at tajuma.com>  Mon, 10 Oct 2009 20:10:54 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: user/scientific
 Priority: optional
 Maintainer: Tatu Mannisto <tatu.1 at tajuma.com>
-Build-Depends: debhelper (>= 4.0.0), libgtk2.0-dev, libosso-dev (>= 1)
+Build-Depends: debhelper (>= 4.0.0), libosso-dev, libhildonfm2-dev, libosso-gnomevfs2-dev
 Standards-Version: 3.6.0
 
 Package: free42
 Architecture: any
 Depends: ${shlibs:Depends}
 Description: HP-42 calculator (based on the Free42 project), for the project
- itself, please look at http://home.planet.nl/~demun000/thomas_projects/free42.
- This package just wraps it up for Maemo platform (e.g. Nokia 770 or N800) with
- realistic looking pseudo skins.
+ itself, please look at http://thomasokken.com/free42.
+ This package just wraps it up for Maemo platform (e.g. Nokia N810 and N900)
+ with realistic looking pseudo skins.
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABmJLR0QAmQDMAJk0M7raAAAACXBI
  WXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH1wEWEzsMoJkZ/gAAAN5JREFUSMflVcsShDAIA6b//8vZ

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,8 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+# maybe this could be figured out by our Scratchbox target...
+NXXX = N900
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
@@ -37,8 +39,8 @@
 build-stamp:  config.status
 	dh_testdir
 
-	( cd gtk ; $(MAKE) -e HILDON=1 skins.cc )
-	( cd gtk ; $(MAKE) -e HILDON=1 )
+	( cd gtk ; $(MAKE) -e $(NXXX)=1 skins.cc )
+	( cd gtk ; $(MAKE) -e $(NXXX)=1 )
 	strip gtk/free42.launch
 
 	touch build-stamp

## free42 1.4.44-0maemo1

=== gtk/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ###############################################################################
 # Free42 -- an HP-42S calculator simulator
-# Copyright (C) 2004-2007  Thomas Okken
+# Copyright (C) 2004-2008  Thomas Okken
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License, version 2,
@@ -11,40 +11,24 @@
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU General Public License for more details.
 #
-#f You should have received a copy of the GNU General Public License
+# You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 ###############################################################################
 
-CXXFLAGS := -MMD -Wall -g -fno-exceptions -fno-rtti $(shell pkg-config --cflags gtk+-2.0) -DVERSION="\"$(shell cat ../VERSION)\""
-
-# Nokia N810 and N900 models, define HILDON for both
-ifdef N810
-CXXFLAGS += -DN810
-HILDON=1
-endif
-ifdef N900
-CXXFLAGS += -DN900
-HILDON=1
-endif
+CXXFLAGS := -MMD -Wall -g -I/usr/X11R6/include -fno-exceptions -fno-rtti $(shell pkg-config --cflags gtk+-2.0) -DVERSION="\"$(shell cat ../VERSION)\""
 
 ifdef HILDON
 BCD_MATH = 1
 CXXFLAGS += -DHILDON -fpic $(shell pkg-config --cflags hildon-1) $(shell pkg-config --cflags hildon-fm-2)
-CXXFLAGS += $(shell pkg-config --cflags libosso)
-CXXFLAGS += $(shell pkg-config --cflags dbus-1) -DDBUS_API_SUBJECT_TO_CHANGE -O3
+CXXFLAGS += $(shell pkg-config --cflags dbus-1) -DDBUS_API_SUBJECT_TO_CHANGE
 CXXFLAGS_skin2cc = -DHILDON
 LDFLAGS = -shared
 LIBS = $(shell pkg-config --libs hildon-1)
 LIBS += $(shell pkg-config --libs dbus-1)
-LIBS += $(shell pkg-config --libs libosso)
 else
 LDFLAGS = 
 LIBS := -lXmu $(shell pkg-config --libs gtk+-2.0)
-endif
-
-ifdef PAINT_KEYS
-CXXFLAGS += -DPAINT_KEYS
 endif
 
 SRCS = shell_main.cc shell_skin.cc skins.cc keymap.cc shell_loadimage.cc \
@@ -71,12 +55,22 @@
 EXE = free42bin
 endif
 
+ifdef OLPC
+CXXFLAGS += -DOLPC
+endif
+
 ifdef HILDON
 EXE = free42.launch
 endif
 
 $(EXE): $(OBJS)
 	$(CXX) -o $(EXE) $(LDFLAGS) $(OBJS) $(LIBS)
+ifdef OLPC
+	tar xvfz Free42.activity.tgz
+	cp $(EXE) Free42.activity/bin
+	zip -r Free42.xo Free42.activity
+	rm -rf Free42.activity
+endif
 
 $(SRCS): symlinks

=== debian/changelog ===
free42 (1.4.44-0maemo1) unstable; urgency=low

  * New upstream version 1.4.44

 -- Daniel Martin Yerga <dyerga@gmail.com>  Sun, 30 Nov 2008 21:01:50 +0100

=== debian/control ===
Source: free42
Section: user/utilities
Priority: optional
Maintainer: Tatu Mannisto <tatu.1 at tajuma.com>
Build-Depends: debhelper (>= 4.0.0), libgtk2.0-dev, libosso-dev (>= 1), libgtk2.0-dev, libhildon1-dev, libhildonfm2-dev
Standards-Version: 3.6.0

Package: free42
Architecture: any
Depends: ${shlibs:Depends}
Description: HP-42 calculator (based on the Free42 project), for the project
 itself, please look at http://home.planet.nl/~demun000/thomas_projects/free42.
 This package just wraps it up for Maemo platform (e.g. Nokia 770 or N800) with
 realistic looking pseudo skins.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABmJLR0QAmQDMAJk0M7raAAAACXBI
 WXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH1wEWEzsMoJkZ/gAAAN5JREFUSMflVcsShDAIA6b//8vZ
 g+LYByXt6l62Mx6sYJKGgsiPloqIAMBrAKoqIlK44Dwmo2oZAAPCkClM4p2t6pi9k4qUFQZEbxsA
 qvd6PwazJ0BO0y+AUYjtggC4HgbMogpSogrYQqk8ipJcycEWWyBDRTM1vu+Gj493sbw98ZujDRXx
 3sTlvXxhox+6V/7NVW93BmZlKkKgw2RMlbkaj2vD02I4/OkDo94VeRmptLfmUEuw9FXXH0V7UWdz
 kr5HEdhK66G6NzMtdyat7Y7m1RzLElnALK488ZP/XB8QHIFUnZ9BegAAAABJRU5ErkJggg==

## free42 1.4.60-maemo1

=== macdashboard/Makefile ===
###############################################################################
# Free42 -- an HP-42S calculator simulator
# Copyright (C) 2004-2009  Thomas Okken
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 2,
# as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see http://www.gnu.org/licenses/.
###############################################################################

CXXFLAGS = -DNO_SINCOS -DOLD_PSE -arch ppc -arch i386 -mmacosx-version-min=10.4 -Wall -g -fno-exceptions -fno-rtti
LDFLAGS = -Wl,-syslibroot,/Developer/SDKs/MacOSX10.4u.sdk -mmacosx-version-min=10.4
LIBS = -arch ppc -arch i386 -lm

SRCS = shell.cc shell_spool.cc \
	core_main.cc core_commands1.cc core_commands2.cc \
	core_commands3.cc core_commands4.cc core_commands5.cc \
	core_commands6.cc core_display.cc \
	core_globals.cc core_helpers.cc core_keydown.cc core_linalg1.cc \
	core_linalg2.cc core_math1.cc core_math2.cc core_phloat.cc \
	core_sto_rcl.cc core_tables.cc core_variables.cc
OBJS = shell.o shell_spool.o \
	core_main.o core_commands1.o core_commands2.o \
	core_commands3.o core_commands4.o core_commands5.o \
	core_commands6.o core_display.o \
	core_globals.o core_helpers.o core_keydown.o core_linalg1.o \
	core_linalg2.o core_math1.o core_math2.o core_phloat.o \
	core_sto_rcl.o core_tables.o core_variables.o

ifdef BCD_MATH
CXXFLAGS += -DBCD_MATH
SRCS += bcdfloat.cc bcd.cc bcdmath.cc bcdfloat2.cc
OBJS += bcdfloat.o bcd.o bcdmath.o bcdfloat2.o
endif

Free42.wdgt: free42 keymap.txt
	cp -rv Widget.Template Free42.wdgt
	find Free42.wdgt -type d -name .svn -prune -exec rm -rf {} \;
	find Free42.wdgt -type d -name CVS -prune -exec rm -rf {} \;
	find Free42.wdgt -type f -name .cvsignore -exec rm -f {} \;
	sed -e "s/%VERSION%/$(shell cat ../VERSION)/g" < Widget.Template/Free42.html> Free42.wdgt/Free42.html
	cp keymap.txt Free42.wdgt
	- mkdir Free42.wdgt/bin
	cp free42 Free42.wdgt/bin

free42: $(OBJS)
	$(CXX) -o free42 $(LDFLAGS) $(OBJS) $(LIBS)

$(SRCS): symlinks

.cc.o:
	$(CXX) $(CXXFLAGS) -c -o $@ $<
	
symlinks:
	ln -s ../common/free42.h
	ln -s ../common/core_commands1.cc
	ln -s ../common/core_commands1.h
	ln -s ../common/core_commands2.cc
	ln -s ../common/core_commands2.h
	ln -s ../common/core_commands3.cc
	ln -s ../common/core_commands3.h
	ln -s ../common/core_commands4.cc
	ln -s ../common/core_commands4.h
	ln -s ../common/core_commands5.cc
	ln -s ../common/core_commands5.h
	ln -s ../common/core_commands6.cc
	ln -s ../common/core_commands6.h
	ln -s ../common/core_display.cc
	ln -s ../common/core_display.h
	ln -s ../common/core_globals.cc
	ln -s ../common/core_globals.h
	ln -s ../common/core_helpers.cc
	ln -s ../common/core_helpers.h
	ln -s ../common/core_keydown.cc
	ln -s ../common/core_keydown.h
	ln -s ../common/core_linalg1.cc
	ln -s ../common/core_linalg1.h
	ln -s ../common/core_linalg2.cc
	ln -s ../common/core_linalg2.h
	ln -s ../common/core_math1.cc
	ln -s ../common/core_math1.h
	ln -s ../common/core_math2.cc
	ln -s ../common/core_math2.h
	ln -s ../common/core_main.cc
	ln -s ../common/core_main.h
	ln -s ../common/core_phloat.cc
	ln -s ../common/core_phloat.h
	ln -s ../common/core_sto_rcl.cc
	ln -s ../common/core_sto_rcl.h
	ln -s ../common/core_tables.cc
	ln -s ../common/core_tables.h
	ln -s ../common/core_variables.cc
	ln -s ../common/core_variables.h
	ln -s ../common/shell.h
	ln -s ../common/shell_loadimage.cc
	ln -s ../common/shell_loadimage.h
	ln -s ../common/shell_spool.cc
	ln -s ../common/shell_spool.h
	ln -s ../common/skin2cc.cc
	ln -s ../common/skin2cc.conf
	ln -s ../common/keymap2cc.cc
	ln -s ../common/bcd.cc
	ln -s ../common/bcd.h
	ln -s ../common/bcdfloat.cc
	ln -s ../common/bcdfloat.h
	ln -s ../common/bcdmath.cc
	ln -s ../common/bcdmath.h
	ln -s ../common/bcd2.h
	ln -s ../common/bcdfloat2.cc
	ln -s ../common/bcdfloat2.h
	touch symlinks

clean: FORCE
	rm -f `find . -type l` free42 \
		keymap2cc keymap.cc \
		*.o *.d *.i *.ii *.s symlinks core.*
	rm -rf Free42.wdgt

FORCE:

=== windows/Makefile ===
# Makefile - Free42.dsp

ifndef CFG
CFG=Release
endif
CC=gcc
CFLAGS=-DNO_SINCOS
ifdef BCD_MATH
CFLAGS += -DBCD_MATH
endif
CXX=g++
CXXFLAGS=$(CFLAGS)
RC=windres -O COFF
ifeq "$(CFG)"  "Release"
CFLAGS+=-fno-exceptions -fno-rtti -O0 -D_WINDOWS -DWINDOWS -DWIN32 -DNDEBUG -D_MBCS -W -Wno-uninitialized
LD=$(CXX) $(CXXFLAGS)
LDFLAGS=
LDFLAGS+=-Wl,--subsystem,windows
#LIBS+=-lkernel32 -luser32 -lgdi32 -lwinspool -lcomdlg32 -ladvapi32 -lshell32 -lole32 -loleaut32 -luuid -lodbc32 -lodbccp32
LIBS+=-lgdi32 -lcomdlg32
else
ifeq "$(CFG)"  "Debug"
CFLAGS+=-fno-exceptions -fno-rtti -g -O0 -D_WINDOWS -DWINDOWS -DWIN32 -D_DEBUG -D_MBCS -W
LD=$(CXX) $(CXXFLAGS)
LDFLAGS=
LDFLAGS+=-Wl,--subsystem,windows
#LIBS+=-lkernel32 -luser32 -lgdi32 -lwinspool -lcomdlg32 -ladvapi32 -lshell32 -lole32 -loleaut32 -luuid -lodbc32 -lodbccp32
LIBS+=-lgdi32 -lcomdlg32
endif
endif

ifndef TARGET
ifdef BCD_MATH
TARGET=Free42Decimal.exe
else
TARGET=Free42Binary.exe
endif
endif

.PHONY: all
all: $(TARGET)

%.o: %.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ -c $<

%.o: %.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<

%.o: %.cpp
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<

%.o: %.cxx
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<

%.res: %.rc
	$(RC) $(CPPFLAGS) -o $@ -i $<

CFLAGS+=
SOURCE_FILES= \
	core_commands1.cpp \
	core_commands2.cpp \
	core_commands3.cpp \
	core_commands4.cpp \
	core_commands5.cpp \
	core_commands6.cpp \
	core_display.cpp \
	core_globals.cpp \
	core_helpers.cpp \
	core_keydown.cpp \
	core_linalg1.cpp \
	core_linalg2.cpp \
	core_main.cpp \
	core_math1.cpp \
	core_math2.cpp \
	core_phloat.cpp \
	core_sto_rcl.cpp \
	core_tables.cpp \
	core_variables.cpp \
	Free42.rc \
	keymap.cpp \
	msg2string.cpp \
	shell.cpp \
	shell_loadimage.cpp \
	shell_skin.cpp \
	shell_spool.cpp \
	skins.cpp

HEADER_FILES= \
	core_commands1.h \
	core_commands2.h \
	core_commands3.h \
	core_commands4.h \
	core_commands5.h \
	core_commands6.h \
	core_display.h \
	core_globals.h \
	core_helpers.h \
	core_keydown.h \
	core_linalg1.h \
	core_linalg2.h \
	core_main.h \
	core_math1.h \
	core_math2.h \
	core_phloat.h \
	core_sto_rcl.h \
	core_tables.h \
	core_variables.h \
	free42.h \
	msg2string.h \
	resource.h \
	shell.h \
	shell_loadimage.h \
	shell_skin.h \
	shell_spool.h

RESOURCE_FILES= \
	Free42.ico \
	small.ico

SRCS=$(SOURCE_FILES) $(HEADER_FILES) $(RESOURCE_FILES)  \
	ReadMe.txt

OBJS=$(patsubst %.rc,%.res,$(patsubst %.cxx,%.o,$(patsubst %.cpp,%.o,$(patsubst %.cc,%.o,$(patsubst %.c,%.o,$(filter %.c %.cc %.cpp %.cxx %.rc,$(SRCS)))))))

ifdef BCD_MATH
OBJS += bcdfloat.o bcd.o bcdmath.o
endif

$(TARGET): $(OBJS)
	$(LD) $(LDFLAGS) -o $@ $(OBJS) $(LIBS)

skin2cpp: skin2cpp.cpp
	$(CXX) -DWINDOWS -o skin2cpp skin2cpp.cpp

skins.cpp: skin2cpp skin2cpp.conf
	./skin2cpp

keymap2cpp: keymap2cpp.cpp
	$(CXX) -DWINDOWS -o keymap2cpp keymap2cpp.cpp

keymap.cpp: keymap2cpp keymap.txt
	./keymap2cpp

rom2raw: rom2raw.c
	$(CC) -o rom2raw rom2raw.c
	
.PHONY: clean
clean:
	-rm -f $(OBJS) Free42.dep keymap2cpp.exe keymap.cpp skin2cpp.exe skins.cpp rom2raw.exe

.PHONY: cleaner
cleaner:
	-rm -f $(OBJS) Free42Binary.exe Free42Decimal.exe Free42.dep keymap2cpp.exe keymap.cpp skin2cpp.exe skins.cpp rom2raw.exe

.PHONY: depends
depends:
	-$(CXX) $(CXXFLAGS) $(CPPFLAGS) -MM $(filter %.c %.cc %.cpp %.cxx,$(SRCS)) > Free42.dep

-include Free42.dep

=== palmos/mathlib/Makefile ===
SRCS = $(wildcard *.c)
OBJS = $(SRCS:.c=.o)

CFLAGS = -MMD -fPIC -march=armv4t -msingle-pic-base -nostartfiles

.c.o:
	arm-palmos-gcc $(CFLAGS) -c -o $@ $<

mathlib.a: $(OBJS)
	arm-palmos-ar rsc mathlib.a $(OBJS)

clean:
	rm -f *.d *.o mathlib.a

=== debian/changelog ===
free42 (1.4.60-maemo1) unstable; urgency=low

  * New upstream version 1.4.60 for N900

 -- Tatu Mannisto <tatu.1 at tajuma.com>  Sun, 29 Oct 2009 17:08:15 +0200
	

=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,7 @@
 build-stamp:  config.status
 	dh_testdir
 
-	( cd gtk ; $(MAKE) -e $(NXXX)=1 skins.cc )
+	( cd gtk ; $(MAKE) -e $(NXXX)=1 symlinks skins.cc )
 	( cd gtk ; $(MAKE) -e $(NXXX)=1 )
 	strip gtk/free42.launch

## free42 1.4.60-maemo2

=== MacDashboard/Makefile ===
###############################################################################
# Free42 -- an HP-42S calculator simulator
# Copyright (C) 2004-2005  Thomas Okken
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 2,
# as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
###############################################################################

CXXFLAGS = -DNO_SINCOS -arch ppc -arch i386 -Wall -g -fno-exceptions -fno-rtti
LDFLAGS = -Wl,-syslibroot,/Developer/SDKs/MacOSX10.4u.sdk
LIBS = -arch ppc -arch i386 -lm

SRCS = shell.cc shell_spool.cc \
	core_main.cc core_commands1.cc core_commands2.cc \
	core_commands3.cc core_commands4.cc core_commands5.cc \
	core_commands6.cc core_display.cc \
	core_globals.cc core_helpers.cc core_keydown.cc core_linalg1.cc \
	core_linalg2.cc core_math1.cc core_math2.cc core_phloat.cc \
	core_sto_rcl.cc core_tables.cc core_variables.cc
OBJS = shell.o shell_spool.o \
	core_main.o core_commands1.o core_commands2.o \
	core_commands3.o core_commands4.o core_commands5.o \
	core_commands6.o core_display.o \
	core_globals.o core_helpers.o core_keydown.o core_linalg1.o \
	core_linalg2.o core_math1.o core_math2.o core_phloat.o \
	core_sto_rcl.o core_tables.o core_variables.o

ifdef BCD_MATH
CXXFLAGS += -DBCD_MATH
SRCS += bcdfloat.cc bcd.cc bcdmath.cc
OBJS += bcdfloat.o bcd.o bcdmath.o
endif

Free42.wdgt: free42 keymap.txt
	cp -rv Widget.Template Free42.wdgt
	sed -e "s/%VERSION%/$(shell cat ../VERSION)/g" < Widget.Template/Free42.html> Free42.wdgt/Free42.html
	cp keymap.txt Free42.wdgt
	- mkdir Free42.wdgt/bin
	cp free42 Free42.wdgt/bin

free42: $(OBJS)
	$(CXX) -o free42 $(LDFLAGS) $(OBJS) $(LIBS)

$(SRCS): symlinks

.cc.o:
	$(CXX) $(CXXFLAGS) -c -o $@ $<
	
symlinks:
	ln -s ../common/free42.h
	ln -s ../common/core_commands1.cc
	ln -s ../common/core_commands1.h
	ln -s ../common/core_commands2.cc
	ln -s ../common/core_commands2.h
	ln -s ../common/core_commands3.cc
	ln -s ../common/core_commands3.h
	ln -s ../common/core_commands4.cc
	ln -s ../common/core_commands4.h
	ln -s ../common/core_commands5.cc
	ln -s ../common/core_commands5.h
	ln -s ../common/core_commands6.cc
	ln -s ../common/core_commands6.h
	ln -s ../common/core_display.cc
	ln -s ../common/core_display.h
	ln -s ../common/core_globals.cc
	ln -s ../common/core_globals.h
	ln -s ../common/core_helpers.cc
	ln -s ../common/core_helpers.h
	ln -s ../common/core_keydown.cc
	ln -s ../common/core_keydown.h
	ln -s ../common/core_linalg1.cc
	ln -s ../common/core_linalg1.h
	ln -s ../common/core_linalg2.cc
	ln -s ../common/core_linalg2.h
	ln -s ../common/core_math1.cc
	ln -s ../common/core_math1.h
	ln -s ../common/core_math2.cc
	ln -s ../common/core_math2.h
	ln -s ../common/core_main.cc
	ln -s ../common/core_main.h
	ln -s ../common/core_phloat.cc
	ln -s ../common/core_phloat.h
	ln -s ../common/core_sto_rcl.cc
	ln -s ../common/core_sto_rcl.h
	ln -s ../common/core_tables.cc
	ln -s ../common/core_tables.h
	ln -s ../common/core_variables.cc
	ln -s ../common/core_variables.h
	ln -s ../common/shell.h
	ln -s ../common/shell_loadimage.cc
	ln -s ../common/shell_loadimage.h
	ln -s ../common/shell_spool.cc
	ln -s ../common/shell_spool.h
	ln -s ../common/skin2cc.cc
	ln -s ../common/skin2cc.conf
	ln -s ../common/keymap2cc.cc
	ln -s ../common/bcd.cc
	ln -s ../common/bcd.h
	ln -s ../common/bcdfloat.cc
	ln -s ../common/bcdfloat.h
	ln -s ../common/bcdmath.cc
	ln -s ../common/bcdmath.h
	touch symlinks

clean: FORCE
	rm -f `find . -type l` free42 \
		keymap2cc keymap.cc \
		*.o *.d *.i *.ii *.s symlinks core.*
	rm -rf Free42.wdgt

FORCE:

=== gtk/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ###############################################################################
 # Free42 -- an HP-42S calculator simulator
-# Copyright (C) 2004-2008  Thomas Okken
+# Copyright (C) 2004-2009  Thomas Okken
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License, version 2,
@@ -12,23 +12,41 @@
 # GNU General Public License for more details.
 #
 # You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+# along with this program; if not, see http://www.gnu.org/licenses/.
 ###############################################################################
 
 CXXFLAGS := -MMD -Wall -g -I/usr/X11R6/include -fno-exceptions -fno-rtti $(shell pkg-config --cflags gtk+-2.0) -DVERSION="\"$(shell cat ../VERSION)\""
 
+# Nokia N810 and N900 models, define HILDON for both
+ifdef N810
+CXXFLAGS += -DN810
+HILDON=1
+endif
+ifdef N900
+CXXFLAGS += -DN900
+HILDON=1
+endif
+
 ifdef HILDON
 BCD_MATH = 1
 CXXFLAGS += -DHILDON -fpic $(shell pkg-config --cflags hildon-1) $(shell pkg-config --cflags hildon-fm-2)
-CXXFLAGS += $(shell pkg-config --cflags dbus-1) -DDBUS_API_SUBJECT_TO_CHANGE
-CXXFLAGS_skin2cc = -DHILDON
+CXXFLAGS += $(shell pkg-config --cflags libosso)
+CXXFLAGS += $(shell pkg-config --cflags dbus-1) -DDBUS_API_SUBJECT_TO_CHANGE -O3
+CXXFLAGS_skin2cc += -DHILDON
 LDFLAGS = -shared
 LIBS = $(shell pkg-config --libs hildon-1)
 LIBS += $(shell pkg-config --libs dbus-1)
+LIBS += $(shell pkg-config --libs libosso)
 else
-LDFLAGS = 
+LDFLAGS = -L/usr/X11R6/lib
 LIBS := -lXmu $(shell pkg-config --libs gtk+-2.0)
+endif
+
+ifdef PAINT_KEYS
+CXXFLAGS += -DPAINT_KEYS
+endif
+ifeq "$(shell uname -s)" "Linux"
+LDFLAGS += -Wl,--hash-style=both
 endif
 
 SRCS = shell_main.cc shell_skin.cc skins.cc keymap.cc shell_loadimage.cc \
@@ -48,19 +66,18 @@
 
 ifdef BCD_MATH
 CXXFLAGS += -DBCD_MATH
-SRCS += bcdfloat.cc bcd.cc bcdmath.cc
-OBJS += bcdfloat.o bcd.o bcdmath.o
+SRCS += bcdfloat.cc bcd.cc bcdmath.cc bcdfloat2.cc
+OBJS += bcdfloat.o bcd.o bcdmath.o bcdfloat2.o
 EXE = free42dec
 else
 EXE = free42bin
 endif
 
+ifdef HILDON
+EXE = free42.launch
+endif
 ifdef OLPC
 CXXFLAGS += -DOLPC
-endif
-
-ifdef HILDON
-EXE = free42.launch
 endif
 
 $(EXE): $(OBJS)
@@ -78,9 +95,9 @@
 	$(CXX) $(CXXFLAGS) -c -o $@ $<
 
 skin2cc: skin2cc.cc
-	$(CXX) $(CXXFLAGS_skin2cc) -o skin2cc skin2cc.cc
+	$(CXX) -o skin2cc $(CXXFLAGS_skin2cc) skin2cc.cc
 
-skins.cc: symlinks skin2cc skin2cc.conf
+skins.cc: skin2cc skin2cc.conf
 	./skin2cc
 
 keymap2cc: keymap2cc.cc
@@ -143,6 +160,9 @@
 	ln -s ../common/bcdfloat.h
 	ln -s ../common/bcdmath.cc
 	ln -s ../common/bcdmath.h
+	ln -s ../common/bcd2.h
+	ln -s ../common/bcdfloat2.cc
+	ln -s ../common/bcdfloat2.h
 	touch symlinks
 
 clean: FORCE

=== motif/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ###############################################################################
 # Free42 -- an HP-42S calculator simulator
-# Copyright (C) 2004-2007  Thomas Okken
+# Copyright (C) 2004-2009  Thomas Okken
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License, version 2,
@@ -12,8 +12,7 @@
 # GNU General Public License for more details.
 #
 # You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+# along with this program; if not, see http://www.gnu.org/licenses/.
 ###############################################################################
 
 VERSION = "\"$(shell cat ../VERSION)\""
@@ -21,9 +20,18 @@
 LDFLAGS = -L/usr/X11R6/lib
 LIBS = -lm -lXm -lXt -lX11 -lXmu -lXpm
 
-#CXXFLAGS = -MMD -Wall -g -I/usr/local/lesstif/include -I/usr/X11R6/include -fno-exceptions -fno-rtti -DVERSION=$(VERSION)
-#LDFLAGS = -L/usr/local/lesstif/lib -L/usr/X11R6/lib
-#LIBS = -lm -lXm -lXpm -lXmu
+ifeq "$(shell uname -s)" "Darwin"
+CXXFLAGS += -I/usr/OpenMotif/include -DNO_SINCOS=1
+LDFLAGS += -L/usr/OpenMotif/lib
+endif
+
+ifeq "$(shell uname -s)" "Linux"
+LDFLAGS += -Wl,--hash-style=both
+endif
+
+ifeq "$(shell uname -s | sed 's/^\(......\).*/\1/')" "CYGWIN"
+LDFLAGS += -Wl,--enable-auto-import
+endif
 
 SRCS = shell_main.cc shell_skin.cc skins.cc keymap.cc shell_loadimage.cc \
 	shell_spool.cc core_main.cc core_commands1.cc core_commands2.cc \
@@ -42,8 +50,8 @@
 
 ifdef BCD_MATH
 CXXFLAGS += -DBCD_MATH
-SRCS += bcdfloat.cc bcd.cc bcdmath.cc
-OBJS += bcdfloat.o bcd.o bcdmath.o
+SRCS += bcdfloat.cc bcd.cc bcdmath.cc bcdfloat2.cc
+OBJS += bcdfloat.o bcd.o bcdmath.o bcdfloat2.o
 EXE = free42dec
 else
 EXE = free42bin
@@ -125,6 +133,9 @@
 	ln -s ../common/bcdfloat.h
 	ln -s ../common/bcdmath.cc
 	ln -s ../common/bcdmath.h
+	ln -s ../common/bcd2.h
+	ln -s ../common/bcdfloat2.cc
+	ln -s ../common/bcdfloat2.h
 	touch symlinks
 
 clean: FORCE

=== palmos/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ###############################################################################
 # Free42 -- an HP-42S calculator simulator
-# Copyright (C) 2004-2007  Thomas Okken
+# Copyright (C) 2004-2009  Thomas Okken
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License, version 2,
@@ -12,8 +12,7 @@
 # GNU General Public License for more details.
 #
 # You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+# along with this program; if not, see http://www.gnu.org/licenses/.
 ###############################################################################
 
 CFLAGS = -MMD -Wall -g -DPALMOS
@@ -36,8 +35,8 @@
 
 ifdef BCD_MATH
 CXXFLAGS += -DBCD_MATH
-SRCS += bcdfloat.cc bcd.cc bcdmath.cc
-OBJS += bcdfloat.o bcd.o bcdmath.o
+SRCS += bcdfloat.cc bcd.cc bcdmath.cc bcdfloat2.cc
+OBJS += bcdfloat.o bcd.o bcdmath.o bcdfloat2.o
 SHELL_DEF = shell_dec.def
 TARGET = free42dec_68k.prc
 else
@@ -100,6 +99,9 @@
 	ln -s ../common/bcdfloat.h
 	ln -s ../common/bcdmath.cc
 	ln -s ../common/bcdmath.h
+	ln -s ../common/bcd2.h
+	ln -s ../common/bcdfloat2.cc
+	ln -s ../common/bcdfloat2.h
 	touch symlinks
 
 shell-sections.s shell-sections.ld: $(SHELL_DEF)

=== debian/changelog ===
free42 (1.4.60-maemo2) unstable; urgency=low

  * Control file spelling mistake fixed

 -- Tatu Mannisto <tatu.1 at tajuma.com>  Sun, 29 Oct 2009 20:29:01 +0200
	

=== debian/control ===
Source: free42
Section: user/sciene
Priority: optional
Maintainer: Tatu Mannisto <tatu.1 at tajuma.com>
Build-Depends: debhelper (>= 4.0.0), libosso-dev, libhildonfm2-dev, libosso-gnomevfs2-dev
Standards-Version: 3.6.0

Package: free42
Architecture: any
Depends: ${shlibs:Depends}
Description: HP look-alike RPN calculator based on the Free42 project for Nokia N900     
 mobile computer. This package contains realistic looking vertical and horizontal skins.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABmJLR0QAmQDMAJk0M7raAAAACXBI
 WXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH1wEWEzsMoJkZ/gAAAN5JREFUSMflVcsShDAIA6b//8vZ
 g+LYByXt6l62Mx6sYJKGgsiPloqIAMBrAKoqIlK44Dwmo2oZAAPCkClM4p2t6pi9k4qUFQZEbxsA
 qvd6PwazJ0BO0y+AUYjtggC4HgbMogpSogrYQqk8ipJcycEWWyBDRTM1vu+Gj493sbw98ZujDRXx
 3sTlvXxhox+6V/7NVW93BmZlKkKgw2RMlbkaj2vD02I4/OkDo94VeRmptLfmUEuw9FXXH0V7UWdz
 kr5HEdhK66G6NzMtdyat7Y7m1RzLElnALK488ZP/XB8QHIFUnZ9BegAAAABJRU5ErkJggg==
